For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
          • GETGet thread messages
          • GETList seat messages
          • GETGet message
          • PUTUpdate message
          • DELDelete message
LogoLogo
API ReferenceInboxLinkedinMessages

Get message

||View as Markdown|
GET
https://hublinks.io/rest/accounts/:account_id/seats/:seat_id/inbox/linkedin/messages/:message_id
GET
/rest/accounts/:account_id/seats/:seat_id/inbox/linkedin/messages/:message_id
$curl https://hublinks.io/rest/accounts/account_id/seats/seat_id/inbox/linkedin/messages/message_id \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "message": {
4 "body": "John, I just applied for a role as a CoS at Human Agency & figured you'd be the perfect person to connect with for some insight! Let's connect!",
5 "type": "profile",
6 "seat_id": "SEAT6a13e661ecc6a86e3fb7",
7 "ln_inbox": "LP",
8 "direction": "IN",
9 "last_name": "Hill, PMP",
10 "ln_degree": 1,
11 "member_id": "566713732",
12 "thread_id": "2-OTRhYTNiN2MtMWZmMi00YjE5LWE3YzYtODYwNDBlNTBhZTQxXzEwMA==",
13 "account_id": "ACCO136ce10b5f8a7682efb3",
14 "created_at": 1749134646969,
15 "first_name": "Jared",
16 "message_id": "2-MTc0NDk5Mzk5ODQwN2I1ODcwMi0xMDAmOTRhYTNiN2MtMWZmMi00YjE5LWE3YzYtODYwNDBlNTBhZTQxXzEwMA==",
17 "updated_at": 1749134646969,
18 "delivered_at": 1744993998812
19 }
20}
Get Linkedin message by ID.
Was this page helpful?
Previous

List seat messages

Next

Update message

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
seat_idstringRequired
message_idstringRequired

Response

This endpoint returns an object.
successboolean
messageobject